@echo off

rem How to change NicePage titles in HTML

rem This program automatically changes the titles for all your NicePage html pages.
rem It will find and replace anything you want. Just change the input area.

rem  ************************ How to use this batch file ************************ 
rem Before using you must update the input area below and download fnr.exe.
rem You need fnr.exe to use this batch file: fnr = find and replace.
rem Get fnr.exe here: http://findandreplace.io/

rem Use search at bottom left of Windows screen. Search for CMD which is the command prompt
rem Navigate to folder with this batch file. Type name of this batch file and hit enter. That's it.

rem START: Input area starts here

set loc_fnr="C:\Users\Matt\Downloads\fnr\fnr.exe" 
set loc_data="C:\Users\Matt\Documents\Nicepage Templates\HomeFinancing4Me" 

rem len is number of find/replaces you want to do. Or 1+max_index (here: max_index=2).
set len=3 

set obj[0].find="<title>Home</title>"
set obj[0].replace="<title>How to get a home mortgage when there are issues | HomeFinancing4Me</title>"

set obj[1].find="<title>Page 1</title>"
set obj[1].replace="<title>ITIN Lenders and Loans in 2021 | HomeFinancing4Me</title>"

set obj[2].find="Name3"
set obj[2].replace="Value3"

rem Add as many as you want.

rem STOP: Input area stops here

rem ************************ No need to touch anything below this line ************************

set i=0
:loop
if %i% equ %len% goto :eof

rem Begin parsing of obj with index i
set cur.Name=
set cur.Value=
for /f "usebackq delims==. tokens=1-3" %%j in (`set obj[%i%]`) do (
	set cur.%%k=%%l
)
rem End parsing of obj with index i

rem START: code for doing stuff starts here
echo find: %cur.find% replace: %cur.replace%

%loc_fnr% --cl --dir %loc_data% --fileMask "*.html" --excludeFileMask "*.dll *.exe" --includeSubDirectories ^
 --find %cur.find% --replace %cur.replace%
rem STOP: code for doing stuff stops here

set /a i=%i%+1
goto loop

:: starting source: helloacm.com batch programming tutorials
:: create arrays in batch